.news-auto-sort {
    height: 500px;
    width: 100vw;
    text-align: center;
    display: table-cell;
    vertical-align: middle;
    padding: 15px 0;
    position: relative;
}

.news-auto-sort:before {
    content: "";
    position: absolute;
    top: 0 !important;
    left: 0;
    opacity: 0.5;
    height: 100%;
    width: 100%;
    z-index: 1;
}

.news-auto-sort-item {
    position: relative;
    height: 400px;
    aspect-ratio: 3 / 4;
    display: inline-block;
    vertical-align: middle;
    margin-bottom: 4px;
    padding: 30px 15px;
    overflow: hidden;
    cursor: pointer;
    box-shadow: 3px 3px 10px 1px rgb(100 100 100);
    margin: 5px;
    transition: all 0.2s ease;
    z-index: 2;
}

.news-auto-sort-item-child {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0 !important;
    left: 0 !important;
    transition: all 0.5s;
    display: block;
}

.news-auto-sort-item-child:hover {
    transform: scale(1.1);
    opacity: 1;
    transition: all 0.5s;
}

a.news-auto-sort-item-child:before {
    content: none;
}

.news-auto-sort-item:has(.news-auto-sort-item-child:active) {
    transform: scale(0.98);
    box-shadow: 1px 1px 3px 1px rgb(100 100 100);
}